Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.uddi.client.structures.request
Class GetTModelDetail

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request
            |
            +--weblogic.uddi.client.structures.request.GetTModelDetail

public class GetTModelDetail
extends Request

The get_serviceDetail message is used to obtain complete information about one or more tModel structures. To retrieve the information, one or more tModel keys are required.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`GetTModelDetail()` Class Constructor

Method Summary
`void` | `addTModelKey(java.lang.String tModelKey)` Adds a new TModelKey to the set of TModelKeys
`java.util.Vector` | `getTModelKeyVector()` Gets the current set of TModelKeys
`void` | `setTModelKeyVector(java.util.Vector keyVector)` Sets a new set of TModelKeys

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTModelDetail

    public GetTModelDetail()

  Class Constructor

Method Detail

### addTModelKey

    public void addTModelKey(java.lang.String tModelKey)

  Adds a new TModelKey to the set of TModelKeys

  Parameters:
    `tModelKey` - New TModelKey

### setTModelKeyVector

    public void setTModelKeyVector(java.util.Vector keyVector)

  Sets a new set of TModelKeys

  Parameters:
    `keyVector` - New set of TModelKeys

### getTModelKeyVector

    public java.util.Vector getTModelKeyVector()

  Gets the current set of TModelKeys

  Returns:
    Current set of TModelKeys

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD